Skip to main content
GET
/
api
/
v1
/
properties
cURL
curl --request GET \
  --url https://sandbox.api.nkama.ga/api/v1/properties \
  --header 'Authorization: Bearer <token>'
[
  {
    "addressLine": "<string>",
    "amenities": [
      "<string>"
    ],
    "city": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "latitude": 123,
    "longitude": 123,
    "name": "<string>",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "province": "<string>",
    "quartier": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer access token (JWT) issued by Keycloak or the sandbox token endpoint.

Response

200 - */*

OK

addressLine
string
amenities
string[]
city
string
createdAt
string<date-time>
id
string<uuid>
latitude
number<double>
longitude
number<double>
name
string
orgId
string<uuid>
ownerUserId
string<uuid>
province
string
quartier
string
status
enum<string>
Available options:
DRAFT,
PUBLISHED,
ARCHIVED
type
enum<string>
Available options:
APARTMENT,
STUDIO,
HOUSE,
VILLA,
OFFICE,
COMMERCIAL,
LAND